Ir al contenido
Documentación de Endless

Get subscription status

GET
/organizations/{organization_id}/subscription

Get subscription status. Scoped to the organization named by organization_id.

Authorization

bearerAuth
AuthorizationBearer <token>

JWT token from authentication

In: header

Path Parameters

organization_id*string
Match^org_

Header Parameters

Endless-Api-Version?string

Pin the caller to an API major (1). Omit to accept the current version. A major this deployment cannot serve is refused with 400 unsupported_api_version.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/organizations/org_abc123/subscription"
{  "has_subscription": true,  "status": "active",  "is_active": true,  "plan": {    "name": "string",    "credits": 0,    "price": 0,    "currency": "string",    "interval": "month"  },  "current_period_start": "string",  "current_period_end": "string",  "cancel_at": "string",  "trial_end": "string"}